<template>
  <ckeditor
    :value="value"
    :config="config"
    :tag-name="tagName"
    :disabled="disabled"
    @input="event => $emit('input', event)"
  />
</template>
<script lang="ts">
import { defineComponent } from '@nuxtjs/composition-api'

// @ts-ignore
import CKEditor from 'ckeditor4-vue'

export default defineComponent({
  components: {
    ckeditor: CKEditor.component
  },
  props: {
    value: {
      type: String,
      required: false,
      default: ''
    },
    tagName: {
      type: String,
      required: false,
      default: 'div'
    },
    disabled: {
      type: Boolean,
      required: false
    },
    uploadUrl: {
      type: String,
      required: false,
      default: ''
    },
    config: {
      type: Object,
      required: false,
      default: () => ({
        filebrowserUploadMethod: 'form',
        extraPlugins: ['uploadimage', 'colorbutton', 'colordialog'],
        filebrowserBrowseUrl: 'https://storage-admin.ulr.world',
        colorButton_colors:
          '0065ff,00ffb3,dd5b5b,ffe200,E61B98,fff,111626,252d45,1b2234,21283c,2c344d,9badd6,8591ad,373e57,7683ad,252d45'
      })
    }
  }
})
</script>

<style lang="scss">
.ck-editor__editable {
  min-height: 300px;
  padding: 10px 15px !important;

  a {
    color: var(--color-primary);
  }
}
</style>
